Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1189 - problems compiling kernel
Summary: problems compiling kernel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-16 02:37 UTC by Chris Runge
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-25 09:28:11 UTC


Attachments (Terms of Use)

Description Chris Runge 1999-02-16 02:37:31 UTC
RH 5.8 (beta 1)

I try to compile the enclosed kernel sources, however I run
into several problems:

1) make menuconfig gives this error:

There seems to be a problem with the lxdialog companion
utility which is
built prior to running Menuconfig.  Usually this is an
indicator that you
have upgraded/downgraded your ncurses libraries and did not
remove the
old ncurses header file(s) in /usr/include or
/usr/include/ncurses.

It is VERY important that you have only one set of ncurses
header files
and that those files are properly version matched to the
ncurses libraries
installed on your machine.

You may also need to rebuild lxdialog.  This can be done by
moving to
the /usr/src/linux/scripts/lxdialog directory and issuing
the
"make clean all" command.

If you have verified that your ncurses install is correct,
you may email
the maintainer <mec@shout.net> or post a message to
<linux-kernel@vger.rutgers.edu> for additional assistance.

make: *** [menuconfig] Error 139


2) make xconfig gives an error when you attempt to enter the
section for frame buffer and other console drivers

3) perhaps related to 2, building a kernel after using make
xconfig is unsuccessful due to errors related to fb devices

Comment 1 Cristian Gafton 1999-02-25 09:28:59 UTC
Upgrade ncurses for the make menuconfig part
Newer patches needed for the kernel for the make xconfig to work
The 2.2.2 kernel does not have any of these problems.


Note You need to log in before you can comment on or make changes to this bug.